Bug 17280 - Compatibility Hitlist should either be updated or removed
Summary: Compatibility Hitlist should either be updated or removed
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Website (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P3 Normal
Assignee: Nobody
URL: http://webkit.org/projects/compat/hit...
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-10 06:19 PST by Martin Kerz
Modified: 2008-03-11 14:45 PDT (History)
2 users (show)

See Also:


Attachments
patch removing hitlist.html page (5.79 KB, patch)
2008-03-11 07:28 PDT, Robert Blaut
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Kerz 2008-02-10 06:19:16 PST
The compatibility hitlist hasn't been updated for ages. Most of the pages reported not to work there, are working fine by now. 
People that are checking the hitlist might think Webkit is not able to display important pages. I think the page should either be updated to reflect the current state of webkit, or be removed to avoid confusion.
Comment 1 Matt Lilek 2008-02-10 07:40:27 PST
Confirmed - I think its time I broke down and gave the website some lovin'
Comment 2 Robert Blaut 2008-02-10 08:47:07 PST
Definitely should be fixed :)
Comment 3 Martin Kerz 2008-02-13 03:49:25 PST
10) spreadsheets.google.com [bug 9636] is fixed.
8) www.live.com [bug 7788] is fixed.
7) www.gap.com [bug 7671] is fixed.
6) www.bananarepublic.com [bug 7670] is fixed.
5) www.zillow.com [bug 7447] is fixed.
4) www.backbase.com [bug 6628] is fixed.
2) www.start.com [bug 6622] is fixed.
1) local.live.com [bug 6519] is not a WebKit problem. Although it might stay on the list until it gets fixed by Microsoft.

As for Yahoo Mail beta, I don't know if this is still in beta or the final version by now. That leaves TinyMCE the only remaining entry.

Do we have more (new) candidates for the list?
Comment 4 Robert Blaut 2008-03-11 07:28:25 PDT
Created attachment 19662 [details]
patch removing hitlist.html page

Per Maciej Stachowiak comment on webkit-dev mailing list:
"I agree that it should be removed. It hasn't been maintained and never  
worked so well for focusing energy on fixing compatibility issues. A  
patch to remove it would be welcome."

I prepared patch to remove the obsolete hitlist.html page.
Comment 5 Mark Rowe (bdash) 2008-03-11 14:45:07 PDT
Landed in r30968.